<main class="wrapper">
  <h1>Lab #1</h1>

  <section>
    <h2>Input</h2>
    <app-input-form (formValues)="onInputChanges($event)"></app-input-form>
  </section>

  <section *ngIf="input">
    <h2>Results</h2>
    <app-graeffe-calculator *ngIf="isAlgebraic(input.equation)"
      [equation]="input.equation"
    ></app-graeffe-calculator>
  </section>
</main>